/* (0) - General styling */

* {
  padding: 0;
  margin: 0;
}
html {
  font-family: 'Abel';
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  color: #333;
  position: relative;
  background-color: #bbb;
}
body {
  -webkit-transition: padding-top 0.24s;
  transition: padding-top 0.24s;
  box-shadow: inset 0 0 40px 0px #eee;
  background-color: #fff;
}

section {
  max-width: 1280px;
  padding: 36px 8px 36px;
  margin: 0 auto;
  position: relative;
  -webkit-transition: max-width 0.42s;
  transition: max-width 0.42s;
}
section + section {
  border-top: 1px solid #000;
}

h1 {
  font-weight: normal;
  font-size: 42px;
  text-align: center;
  display: inline-block;
  vertical-align: top;
  padding: 0 20px;
  font-weight: bold;
  text-transform: uppercase;
  margin: 0;
}
p {
  line-height: 1.6em;
  font-family: 'Lato';
  font-weight: 400;
  font-size: 18px;
  max-width: 440px;
  text-align: justify;
  margin: 0 20px 40px;
  display: inline-block;
  vertical-align: top;
}
h2 {
  -webkit-transition: all 0.24s;
  transition: all 0.24s;
  font-weight: normal;
  border: 1px solid #000;
  text-align: center;
  margin: 0 auto 1.5em;
  height: 80px;
  width: 80px;
  border-radius: 80px;
  line-height: 80px;
  font-size: 24px;
}
h3 {
  font-size: 24px;
  font-weight: normal;
  text-align: center;
}
h4 {
  font-size: 15px;
  font-weight: normal;
  text-transform: uppercase;
  text-align: center;
}

br + h2 {
  width: auto;
  display: inline-block;
  padding: 0 20px;
  border-width: 0 1px;
}

a {
  color: #333;
}

/* (1) - Header */

header {
  top: 0;
  height: 86px;
  line-height: 86px;
  font-size: 24px;
  width: 100%;
  background-color: #f8f8f8;
  box-shadow: 0 0px 3px 0 rgba(51, 51, 51, 0.6);
  position: relative;
  -webkit-transition: all 0.24s;
  transition: all 0.24s;
  text-align: left;
  z-index: 99;
  box-shadow: inset 0 0 0px 0px #eee, 0 0px 3px 0 rgba(51, 51, 51, 0.6);
  background-color: #fff;
}
header h1 {
  position: absolute;
  right: 0;
  text-transform: none;
  -webkit-transition: all 0.12s;
  transition: all 0.12s;
}
header h1 small {
  font-size: 24px;
}
header img {
  height: 100%;
  margin-left: 16px;
}
header nav {
  float: right;
  margin-right: 16px;
}
header nav a {
  color: #333;
  text-decoration: none;
  padding: 16px 8px 0px;
}
header nav a:hover {
  text-decoration: none;
  border-bottom: 1px solid;
}

/* (2) - Cover Image */

#cover {
  max-width: none;
  height: 440px;
  padding: 0;
  box-shadow: inset 0 10px 0 0 rgba(51, 51, 51, 0.1),
    inset 0 -10px 0 0 rgba(51, 51, 51, 0.1);
  box-shadow: inset 0 0 0px 0px #eee, 0 0px 3px 0 rgba(51, 51, 51, 0.6);
  -webkit-transition: all 0.24s;
  transition: all 0.24s;
  border-bottom: none;
  overflow: hidden;
  background-image: url('../img/work/ebayCover.png');
  /* linear-gradient(
      to right,
      #e47051 33%,
      #292929 33%,
      #292929 66%,
      #1b8572 66%
    ); */
  background-repeat: no-repeat;
  background-size: cover;
  background-color: #002a39;

  background-position-y: -20%;
}
#cover figure {
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: center;
  /* background-color: #f2f2f2;
		background: rgb(250,250,250);
		background: linear-gradient(-0deg, rgba(240,240,240,1) 35%, rgba(250,250,250,1) 100%); */
  cursor: pointer;
}
#cover figure img {
  height: 796px;
  margin-top: -148px;
  display: block;
  float: left;
  -webkit-transition: all 0.24s;
  transition: all 0.24s;
}

/* (3) - About Me */

#about {
  text-align: center;
  padding-left: 0;
  padding-right: 0;
}

/* (4) - Work Overview */

#work {
  text-align: center;
  position: relative;
  -webkit-transition: max-width 0.42s, opacity 0.64s, height 0.24s;
  transition: max-width 0.42s, opacity 0.64s, height 0.24s;
  border-bottom: none;
  opacity: 1;
}

#work aside {
  overflow: hidden;
}

#work aside > h3 {
  position: relative;
  margin: 32px 0;
  font-weight: bold;
}

#work aside > h3:before {
  width: 200px;
  border: solid #1a1a1a;
  border-width: 0 92px;
  position: absolute;
  content: '';
  height: 3px;
  top: 18px;
  left: 50%;
  margin-left: -192px;
}
#work aside > h3:after {
  width: 200px;
  border: solid #1a1a1a;
  border-width: 0 150px;
  position: absolute;
  content: '';
  height: 2px;
  top: 13px;
  left: 50%;
  margin-left: -250px;
}
#work aside > h3 + h4 {
  margin-top: -1.5rem;
  margin-bottom: 2rem;
}
#work nav a {
  font-size: 20px;
  text-decoration: underline;
  padding: 20px;
}

#work .project {
  width: 212px;
  margin: 0px 12px 50px;
  display: inline-block;
  vertical-align: top;
  overflow: hidden;
  -webkit-transition: opacity 0.42s;
  transition: opacity 0.42s;
}

#work .project figure {
  background-color: rgb(235, 235, 235);
  height: 160px;
  border-radius: 4px;
  margin-bottom: 16px;
  -webkit-transition: all 0.24s;
  transition: all 0.24s;
  background-size: cover;
  position: relative;
  cursor: pointer;
  box-shadow: inset 0 0px 1px 0 rgba(51, 51, 51, 0.6);
}
#work .project figure:after {
  content: '+';
  line-height: 40px;
  border: 1px solid;
  width: 40px;
  height: 40px;
  border-radius: 40px;
  font-size: 32px;
  color: #fff;
  display: block;
  position: absolute;
  z-index: 2;
  left: 106px;
  margin-left: -20px;
  top: 80px;
  margin-top: -20px;
  -webkit-transform: scale(0);
  transform: scale(0);
  -webkit-transition: all 0.32s;
  transition: all 0.32s;
}
#work .project figure:hover:after {
  -webkit-transform: scale(1);
  transform: scale(1);
}
#work .project figure:before {
  border-radius: 4px;
  content: '';
  height: 100%;
  width: 100%;
  position: absolute;
  top: 0;
  left: 0;
  background-color: rgba(51, 51, 51, 0);
  -webkit-transition: all 0.24s;
  transition: all 0.24s;
  z-index: 1;
}

#work .project figure:hover:before {
  background-color: rgba(51, 51, 51, 0.8);
}

#work .project.cs {
  opacity: 0.5;
}
#work .project.cs figure:hover:before {
  background-color: rgba(245, 245, 245, 0.9);
}
#work .project.cs figure:after {
  content: 'Coming soon';
  border: none;
  width: 120px;
  width: 160px;
  margin-left: -60px;
  margin-left: -80px;
  margin-top: -40px;
  margin-top: -20px;
  font-size: 28px;
  color: rgba(51, 51, 51, 0.8);
}

/* (5) - Project Details */

#details {
  border: 0px solid #000;
  -webkit-transition: max-width 0.42s, background-color 0.24s;
  transition: max-width 0.42s, background-color 0.24s;
  height: 0;
}
#details:not(.active) h2 {
  opacity: 0;
}
#details div {
  background-color: #fff;
  z-index: 3;
  position: relative;
  top: 0;
  left: -200%;
  -webkit-transition: left 1s;
  transition: left 1s;

  min-height: 300px;
  padding-top: 36px;
}
#details.active {
  height: auto;
  border-top: 1px solid #000;
}
#details.active div {
  left: 0px;
}
#details.active h2 {
  font-family: 'dESicons';
  font-style: normal;
  font-weight: normal;
  cursor: pointer;
  font-size: 16px;
  height: 40px;
  width: 40px;
  border-radius: 40px;
  line-height: 39px;
}

#details article {
  opacity: 0.8;
  max-width: 100%;
  padding: 0 0 40px;
  text-align: center;
  display: none;
}
#details article.active {
  display: block;
}

#details article img {
  border-radius: 4px;
  box-shadow: inset 0 0 40px 0px #eee, 0 0 0 1px #ddd;
  margin-bottom: 40px;
}
#details article img,
#details article aside {
  margin-left: 20px;
  margin-right: 20px;
  display: inline-block;
  vertical-align: top;
  max-width: 440px;
}
#details article aside img {
  margin-left: 0;
  margin-right: 0;
}
#details article img.buffer {
  box-sizing: border-box;
  padding: 20px;
}

#details article img.steps {
  box-sizing: border-box;
  padding: 45px;
}

#details #logos {
  max-width: 960px;
  text-align: center;
  margin: 0 auto;
}
#details #logos figure {
  display: inline-block;
  margin: 0 19px 50px;
  border: 1px solid #ddd;
  box-shadow: inset 0 0 40px 0px #eee;
  background-position: center center;
  background-repeat: no-repeat;
  background-size: 80% 80%;
  background-color: #fff;
  width: 200px;
  height: 150px;
  margin: 16px;
}

#details [src$='.gif'] {
  width: 440px;
}

#details img.full {
  max-width: 920px;
}

/* (6) - Contact Details */

#contact {
  margin-bottom: 0px;
  text-align: center;
  border-bottom: none;
}

footer {
  background-color: rgba(250, 250, 250, 1);
  background: linear-gradient(
    -0deg,
    rgba(240, 240, 240, 1) 35%,
    rgba(250, 250, 250, 1) 100%
  );
  box-shadow: inset 0 4px 4px 0 rgba(51, 51, 51, 0.1);
}
footer address {
  font-style: normal;
  width: 160px;
  display: inline-block;
  vertical-align: top;
}
footer a {
  text-decoration: none;
}
footer a:hover {
  text-decoration: underline;
}
footer h2 {
  margin-bottom: 0.5em;
}

/* (A) - Media Queries  */

@media (max-width: 1340px) {
  section {
    max-width: 960px;
  }
}

@media (max-width: 972px) {
  #work aside {
    max-width: 500px;
    margin: 0 auto;
  }
}
@media (min-width: 488px) and (max-width: 959px) {
  main {
    margin: 0 16px;
  }
  header {
    height: 58px;
    line-height: 58px;
    font-size: 21px;
  }
  header h1 {
    transform: scale(0.75);
    transform-origin: right center;
  }
  p {
    margin: 0 0 40px;
    max-width: 708px;
  }
  h1 {
    font-size: 35px;
    margin-left: 0px;
    margin-right: 0px;
    padding: 0 10px;
  }

  #cover {
    height: 250px;
  }

  #about {
    padding-left: 8px;
    padding-right: 8px;
  }

  #details article img {
    margin: 0 0 40px;
  }

  #details img.full {
    max-width: 708px;
    width: 100%;
  }
}
@media (max-width: 654px) {
  header h1 span {
    display: none;
  }
  #cover img + img + img + img {
    height: 0;
  }
}
@media (max-width: 560px) {
  header h1 small {
    display: none;
  }
}
@media (max-width: 487px) {
  header {
    margin-bottom: 0;
  }
  main {
    margin: 0 16px;
  }
  section {
    padding-top: 25px;
    padding-bottom: 25px;
  }
  h1 {
    font-size: 24px;
  }
  h2 {
    height: 60px;
    width: 60px;
    font-size: 18px;
    line-height: 60px;
    margin-bottom: 18px;
  }
  p {
    margin: 0 0 30px;
    font-size: 15px;
  }

  header {
    height: 40px;
    line-height: 40px;
    font-size: 16px;
  }
  header img {
    margin-left: 20px;
  }
  header nav {
    position: absolute;
    text-align: center;
    top: 0;
    right: 0;
  }
  header nav a {
    padding: 4px;
  }
  header nav figure {
    display: inline-block;
  }

  #cover {
    padding-top: 5px;

    height: 170px;
    box-shadow: inset 0 4px 0 0 rgba(51, 51, 51, 0.1),
      inset 0 -4px 0 0 rgba(51, 51, 51, 0.1);
  }

  #about {
    padding-left: 8px;
    padding-right: 8px;
  }

  #details article img {
    margin-bottom: 30px;
  }
  #details article img,
  #details article aside {
    width: 100%;
    margin-left: 0;
    margin-right: 0;
  }
  #details article img.buffer {
    padding: 10px;
  }

  #work .project {
    margin-bottom: 25px;
  }
  #work .project figure {
    margin-bottom: 8px;
  }

  #contact address {
    width: 120px;
  }
  #contact address h3 {
    font-size: 20px;
  }
  #contact address h4 {
    font-size: 12px;
  }

  footer {
    box-shadow: inset 0 4px 0 0 rgba(51, 51, 51, 0.1);
  }
}
@media (max-width: 320px) {
  h1 {
    font-size: 24px;
    width: 240px;
  }
  p {
    font-weight: 400;
  }
}

/* (*) - Animation   */
/*
	@keyframes hide {
		0%{
			opacity: 1;
			left: 0;
		}
		40%{
			left: 20px;
			opacity: 1;
		}
		100%{
			transform: scale(0);
			opacity: 0;
			left: -300px;
		}
	}
	@keyframes show {
		0%{
			opacity: 0;
			left: -300px;
		}
		100%{
			opacity: 1;
			left: 0;
		}
	}
	main.hidden{
		transform-origin: top center;
		opacity: 0;
	    left: 0;
	    animation-name: hide;
	}
	main{
	    animation-name: show;
	    animation-duration: 1.2s;
	    position: abs;
		
	}
	article{
		position: relative;
		animation-duration: 1.2s;

	
	}
*/
